For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceFDX APIChangelog
GuidesAPI ReferenceFDX APIChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Donor Accounts
      • GETList Giving Pools
      • GETGet Giving Pool
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
Donor AccountsGiving Pools

List Giving Pools

GET
/v1/giving_pools
GET
/v1/giving_pools
$curl https://api.givechariot.com/v1/giving_pools \
> -H "Authorization: Bearer <token>"
1{
2 "results": [
3 {
4 "id": "0bf40881-8ee2-47fb-98ca-f58c7999aa34",
5 "name": "Smith Family Fund",
6 "donor_account_id": "donor_account_01jpjenf5q6cawy43yxfcrxhct",
7 "created_at": "2026-01-15T09:00:00Z",
8 "updated_at": "2026-04-01T12:00:00Z",
9 "metadata": {}
10 }
11 ],
12 "next_page_token": "string"
13}

Returns a list of Giving Pools accessible to the authenticated DAF account.

Giving Pools represent individual named giving pools within a donor’s DAF account (e.g. “Smith Family Fund”). A Donor Account may be associated with multiple Giving Pools.

Was this page helpful?
Previous

Get Giving Pool

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

donor_account_idstringOptional

Filter Giving Pools by the ID of the associated Donor Account.

page_limitintegerOptionalDefaults to 10
The number of results to return. Defaults to 10, max is 100.
page_tokenstringOptional
A token to retrieve the next page of results.

Response

OK
resultslist of objects
next_page_tokenstring
A token to retrieve the next page of results. Absent when there are no more results.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error